Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
Regular Contributor
Posts: 81
Registered: ‎03-09-2012
My Device: PlayBook & Bold 9780
My Carrier: n/a
Accepted Solution

Recent WebWorks SDK good for old OS? Which versions?

[ Edited ]

Hi,

 

I have the most recent WebWorks SDK 2.3.1.5, and wondered what OS versions the .cod file would actually run on. Could not find that documented anywhere Smiley Sad

Or is that mainly dependent on what features the app actually uses?

 

Is there a list somewhere of what WebWorks SDK versions are compatible with what OS versions? Is it nowadays still possible for instance to develop a WebWorks app which can be used on OS 4.5 devices such as the 8300 Curve model?

https://bdsc.webapps.blackberry.com/html5/download/previousversions goes back to v2.0 of the SDK, but I'm clueless about what the minimum target OS version of that exactly is.

 

Same for the Tablet SDK... A .bar file compiled from html5/css3/js sources by BlackBerry WebWorks SDK for TabletOS 2.2.0.5, is it usable on both OS 1.0 and 2.0 of the PlayBook / Tablet OS?

Developer
Posts: 214
Registered: ‎01-07-2011
My Device: Bold 9900
My Carrier: Rogers

Re: Recent WebWorks SDK good for old OS? Which versions?

The latest Tablet SDK will work for 1.0 and 2.0

 

The latest smartphone supports 4.5 I believe, but I believe you need OS 5 to use a lot of the features, maybe one of the RIM people can clarify

--
Rory (@roryboy)
Click "Accept as Solution" if post solved your original issue. Give like/thumbs up if you feel post is helpful
Retired
Posts: 1,382
Registered: ‎07-02-2009
My Device: BlackBerry Bold 9900
My Carrier: Bell

Re: Recent WebWorks SDK good for old OS? Which versions?

The WebWorks SDK for Smartphone supports OS 5.0 and higher.

Follow me on Twitter: @n_adam_stanley
-------------------------------------------------------------------------------------------------------------------------
Your app doesn't work? Use BlackBerry remote web inspector to find out why.
Regular Contributor
Posts: 81
Registered: ‎03-09-2012
My Device: PlayBook & Bold 9780
My Carrier: n/a

Re: Recent WebWorks SDK good for old OS? Which versions?

[ Edited ]

> The WebWorks SDK for Smartphone supports OS 5.0 and higher.

OK, thanks.

No clients with OS 4.5 devices accepted then...

Highlighted
Contributor
Posts: 21
Registered: ‎07-24-2012
My Device: torch 9800
My Carrier: movistar

Re: Recent WebWorks SDK good for old OS? Which versions?

Is giving me errors in versions less than 6.0.0.448

You can read this post:

 

http://supportforums.blackberry.com/t5/Web-and-WebWorks-Development/URGENT-PROBLEM-DEVICE-BOLD-9780-...